%define api		1.0
%define major		0

%define bname		gstreamer%{api}
%define libname		%mklibname gstreamer-plugins-base %{api} %{major}
%define girname		%mklibname gstreamer-plugins-base-gir %{api}
%define develname	%mklibname -d gstreamer-plugins-base %{api}

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-base
Version:	1.0.5
Release:	%mkrel 2
License:	LGPLv2+
Group:		Sound/Utilities
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.xz
Patch0:		align.patch
URL:		http://gstreamer.freedesktop.org/
BuildRequires:	glib2-devel >= 2.32
BuildRequires:	libpng-devel >= 1.2.4-4
BuildRequires:	liborc-devel >= 0.4.5
BuildRequires:	libvorbis-devel >= 1.0-4
BuildRequires:	libtheora-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	freetype2-devel
BuildRequires:	gstreamer%{api}-devel >= %{version}
BuildRequires:	gtk-doc
BuildRequires:	libmesaglu-devel
BuildRequires:	libxv-devel
BuildRequires:	libalsa-devel
BuildRequires:	gobject-introspection-devel
#gw we need some fonts for the tests
BuildRequires:	fonts-ttf-dejavu
BuildRequires:	libcheck-devel
Provides:	%{bname}-plugins

%ifarch %ix86
BuildRequires:	nasm => 0.90
%endif

%ifnarch %arm %mips
BuildRequires:	valgrind-devel
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of reference plugins, base classes for other
plugins, and helper libraries:
 * device plugins: x(v)imagesink, alsa, v4lsrc, cdparanoia
 * containers: ogg
 * codecs: vorbis, theora
 * text: textoverlay, subparse
 * sources: audiotestsrc, videotestsrc, gnomevfssrc
 * network: tcp
 * typefind
 * audio processing: audioconvert, adder, audiorate, audioscale, volume
 * visualisation: libvisual
 * video processing: ffmpegcolorspace
 * aggregate elements: decodebin, playbin

%prep
%setup -q -n gst-plugins-base-%{version}
%apply_patches

%build
%configure2_5x --disable-dependency-tracking --disable-static \
  --enable-experimental \
  --with-package-name='%{_vendor} %{name} package' \
  --with-package-origin='http://bugs.%{_real_vendor}.org/' \
  --enable-libvisual
%make


%install
%makeinstall_std
%find_lang gst-plugins-base-%{api}

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
find %{buildroot} -name '*.la' -delete

%files -f gst-plugins-base-%{api}.lang
%doc AUTHORS COPYING README NEWS
%{_bindir}/gst-discoverer-%{api}
%{_mandir}/man1/gst-discoverer-%{api}.1.*
# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{api}/libgstapp.so
%{_libdir}/gstreamer-%{api}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{api}/libgstaudiorate.so
%{_libdir}/gstreamer-%{api}/libgstaudioresample.so
%{_libdir}/gstreamer-%{api}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{api}/libgstencodebin.so
%{_libdir}/gstreamer-%{api}/libgstgio.so
%{_libdir}/gstreamer-%{api}/libgstpango.so
%{_libdir}/gstreamer-%{api}/libgstsubparse.so
%{_libdir}/gstreamer-%{api}/libgsttcp.so
%{_libdir}/gstreamer-%{api}/libgstvolume.so
%{_libdir}/gstreamer-%{api}/libgstadder.so
%{_libdir}/gstreamer-%{api}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{api}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{api}/libgsttheora.so
%{_libdir}/gstreamer-%{api}/libgstogg.so
%{_libdir}/gstreamer-%{api}/libgstvideorate.so
%{_libdir}/gstreamer-%{api}/libgstvideoscale.so
%{_libdir}/gstreamer-%{api}/libgstvorbis.so
%{_libdir}/gstreamer-%{api}/libgstximagesink.so
%{_libdir}/gstreamer-%{api}/libgstxvimagesink.so
%{_libdir}/gstreamer-%{api}/libgstalsa.so
%{_libdir}/gstreamer-%{api}/libgstplayback.so
%{_libdir}/gstreamer-%{api}/libgstvideoconvert.so

%package -n %{libname}
Group: 		System/Libraries
Summary: 	GStreamer plugin libraries

%description -n %libname
This package contain the basic audio and video playback library and
the interfaces library.

%files -n %{libname}
%{_libdir}/libgstaudio-%{api}.so.0*
%{_libdir}/libgstapp-%{api}.so.0*
%{_libdir}/libgstfft-%{api}.so.0*
%{_libdir}/libgstpbutils-%{api}.so.0*
%{_libdir}/libgstriff-%{api}.so.0*
%{_libdir}/libgstrtp-%{api}.so.0*
%{_libdir}/libgstrtsp-%{api}.so.0*
%{_libdir}/libgsttag-%{api}.so.0*
%{_libdir}/libgstsdp-%{api}.so.0*
%{_libdir}/libgstvideo-%{api}.so.0*

%package -n %{girname}
Group:		System/Libraries
Summary:	Object Introspection interface description for %{name}
Requires:	%{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GstApp-%{api}.typelib
%{_libdir}/girepository-1.0/GstAudio-%{api}.typelib
%{_libdir}/girepository-1.0/GstFft-%{api}.typelib
%{_libdir}/girepository-1.0/GstPbutils-%{api}.typelib
%{_libdir}/girepository-1.0/GstRiff-%{api}.typelib
%{_libdir}/girepository-1.0/GstRtp-%{api}.typelib
%{_libdir}/girepository-1.0/GstRtsp-%{api}.typelib
%{_libdir}/girepository-1.0/GstSdp-%{api}.typelib
%{_libdir}/girepository-1.0/GstTag-%{api}.typelib
%{_libdir}/girepository-1.0/GstVideo-%{api}.typelib

%package -n %{develname}
Summary: 	GStreamer Plugin Library Headers
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	libgstreamer%{api}-plugins-base-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
GStreamer support libraries header files.

%files -n %{develname}
%doc docs/libs/html docs/plugins/html
%{_includedir}/gstreamer-%{api}/gst/app/
%{_includedir}/gstreamer-%{api}/gst/audio
%{_includedir}/gstreamer-%{api}/gst/fft
%{_includedir}/gstreamer-%{api}/gst/pbutils
%{_includedir}/gstreamer-%{api}/gst/riff
%{_includedir}/gstreamer-%{api}/gst/rtsp
%{_includedir}/gstreamer-%{api}/gst/sdp
%{_includedir}/gstreamer-%{api}/gst/tag/
%{_includedir}/gstreamer-%{api}/gst/video/
%{_includedir}/gstreamer-%{api}/gst/rtp
%{_libdir}/pkgconfig/gstreamer-app-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-audio-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-fft-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-pbutils-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-plugins-base-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-riff-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-rtp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-rtsp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-sdp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-tag-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-video-%{api}.pc
%{_libdir}/libgstaudio-%{api}.so
%{_libdir}/libgstapp-%{api}.so
%{_libdir}/libgstfft-%{api}.so
%{_libdir}/libgstpbutils-%{api}.so
%{_libdir}/libgstriff-%{api}.so
%{_libdir}/libgstrtp-%{api}.so
%{_libdir}/libgstrtsp-%{api}.so
%{_libdir}/libgsttag-%{api}.so
%{_libdir}/libgstsdp-%{api}.so
%{_libdir}/libgstvideo-%{api}.so
%{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/GstApp-%{api}.gir
%{_datadir}/gir-1.0/GstAudio-%{api}.gir
%{_datadir}/gir-1.0/GstFft-%{api}.gir
%{_datadir}/gir-1.0/GstPbutils-%{api}.gir
%{_datadir}/gir-1.0/GstRiff-%{api}.gir
%{_datadir}/gir-1.0/GstRtp-%{api}.gir
%{_datadir}/gir-1.0/GstRtsp-%{api}.gir
%{_datadir}/gir-1.0/GstSdp-%{api}.gir
%{_datadir}/gir-1.0/GstTag-%{api}.gir
%{_datadir}/gir-1.0/GstVideo-%{api}.gir
%{_datadir}/gst-plugins-base/%{api}/license-translations.dict
###

### CDPARANOIA ###
%package -n %{bname}-cdparanoia
Summary:	Gstreamer plugin for CD audio input using CDParanoia IV
Group:		Sound/Utilities
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libcdda-devel

%description -n %{bname}-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer

%files -n %{bname}-cdparanoia
%{_libdir}/gstreamer-%{api}/libgstcdparanoia.so

%package -n %{bname}-libvisual
Summary:	GStreamer visualisations plug-in based on libvisual
Group:		Video/Utilities
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libvisual-devel >= 0.4

%description -n %{bname}-libvisual
This plugin makes visualisations based on libvisual available for
GStreamer applications.

%files -n %{bname}-libvisual
%{_libdir}/gstreamer-%{api}/libgstlibvisual.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 352756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 ovitters <ovitters> 1.0.5-1.mga3
+ Revision: 342905
- new version 1.0.5

* Thu Dec 20 2012 cjw <cjw> 1.0.4-1.mga3
+ Revision: 333463
- 1.0.4

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 321178
- new version 1.0.3

* Thu Oct 25 2012 ovitters <ovitters> 1.0.2-1.mga3
+ Revision: 309971
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 303326
- update rpm group

  + ovitters <ovitters>
    - new version 1.0.1

* Mon Sep 24 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 297081
- new version 1.0.0

* Mon Sep 17 2012 ovitters <ovitters> 0.11.99-1.mga3
+ Revision: 295509
- new version 0.11.99

* Sat Sep 15 2012 fwang <fwang> 0.11.94-2.mga3
+ Revision: 294177
- rebuild for rpm gst1.0 provides

* Fri Sep 14 2012 fwang <fwang> 0.11.94-1.mga3
+ Revision: 293797
- update file list
- update file list

  + ovitters <ovitters>
    - new version 0.11.94

* Wed Sep 05 2012 fwang <fwang> 0.11.93-4.mga3
+ Revision: 288325
- add plugins virtual provides

* Tue Sep 04 2012 fwang <fwang> 0.11.93-3.mga3
+ Revision: 287969
- fix libname

* Tue Sep 04 2012 fwang <fwang> 0.11.93-2.mga3
+ Revision: 287967
- add requires on libname
- update file list

* Tue Sep 04 2012 fwang <fwang> 0.11.93-1.mga3
+ Revision: 287961
- drop invalid br
- split out gir files
- update br
- cleanup spec

  + dmorgan <dmorgan>
    - imported package gstreamer1.0-plugins-base

